PDFCollectionEntryElement (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pdf.extensions

## Class PDFCollectionEntryElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
    - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    PDFArrayElement, PDFDictionaryElement, PDFReferenceElement

      public class PDFCollectionEntryElement
      extends AbstractPDFExtensionElement

  Extension element for collection entries: pdf:{array,boolean,dictionary,name,number,reference,string}. The specific type of entry is established at construction type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

      `FONode.FONodeIterator, FONode.GatherContextInfoFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATT_KEY`

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

      `attachment`

    - ### Fields inherited from class org.apache.fop.fo.FONode

      `FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `characters(char[] data, int start, int length, PropertyList pList, org.xml.sax.Locator locator)` Adds characters.
    `void` | `endOfNode()` Primarily used for making final content model validation checks and/or informing the `FOEventHandler` that the end of this FO has been reached.
    `PDFCollectionEntryExtension` | `getExtension()`
    `java.lang.String` | `getLocalName()` Returns the local name (i.e.
    `void` | `processNode(java.lang.String elementName, org.xml.sax.Locator locator, org.xml.sax.Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
    `void` | `startOfNode()` Called after processNode() is called.

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

      `getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, instantiateExtensionAttachment`

    - ### Methods inherited from class org.apache.fop.fo.FONode

      `addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATT_KEY

          public static final java.lang.String ATT_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getExtension

          public PDFCollectionEntryExtension getExtension()

    - #### processNode

          public void processNode(java.lang.String elementName,
                                  org.xml.sax.Locator locator,
                                  org.xml.sax.Attributes attlist,
                                  PropertyList propertyList)
                           throws FOPException

      Description copied from class: `FONode`
      Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
      Overrides:
        `processNode` in class `FONode`
      Parameters:
        `elementName` - element name (e.g., "fo:block")
        `locator` - Locator object (ignored by default)
        `attlist` - Collection of attributes passed to us from the parser.
        `propertyList` - the property list of the parent node
      Throws:
        `FOPException` - for errors or inconsistencies in the attributes

    - #### startOfNode

          public void startOfNode()
                           throws FOPException

      Description copied from class: `FONode`
      Called after processNode() is called. Subclasses can do additional processing.
      Overrides:
        `startOfNode` in class `FONode`
      Throws:
        `FOPException` - if there's a problem during processing

    - #### characters

          protected void characters(char[] data,
                                    int start,
                                    int length,
                                    PropertyList pList,
                                    org.xml.sax.Locator locator)
                             throws FOPException

      Description copied from class: `FONode`
      Adds characters. Does nothing by default. To be overridden in subclasses that allow `#PCDATA` content.
      Overrides:
        `characters` in class `FONode`
      Parameters:
        `data` - array of characters containing text to be added
        `start` - starting array element to add
        `length` - number of elements to add
        `pList` - currently applicable PropertyList
        `locator` - location in the XSL-FO source file.
      Throws:
        `FOPException` - if there's a problem during processing

    - #### endOfNode

          public void endOfNode()
                         throws FOPException

      Description copied from class: `FONode`
      Primarily used for making final content model validation checks and/or informing the `FOEventHandler` that the end of this FO has been reached. The default implementation simply calls `FONode.finalizeNode()`, without sending any event to the `FOEventHandler`.

      Note: the recommended way to override this method in subclasses is

      `super.endOfNode(); // invoke finalizeNode()`

      `getFOEventHandler().endXXX(); // send endOfNode() notification`

      Overrides:
        `endOfNode` in class `FONode`
      Throws:
        `FOPException` - if there's a problem during processing

    - #### getLocalName

          public java.lang.String getLocalName()

      Description copied from class: `FONode`
      Returns the local name (i.e. without namespace prefix) of the node
      Specified by:
        `getLocalName` in class `FONode`
      Returns:
        the local name of this node

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.